## gtg 0.6

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'Changes App ID'
)

=== docs/Makefile ===
# Makefile for Sphinx documentation

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         = a4
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Install Sphinx.)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean user_manual_html html singlehtml latex latexpdf man linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  user_manual_html   to make HTML files from user level documentation"
	@echo "  html       to make standalone HTML files"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  man        to make manual pages"
	@echo "  linkcheck  to check all external links for integrity"

clean:
	rm -rf $(BUILDDIR)/*
	rm -f *.1

user_manual_html:
	mkdir -p $(BUILDDIR)/user_manual_html
	yelp-build html -o $(BUILDDIR)/user_manual_html user_manual/C/*.page
	@echo
	@echo "Build finished. User HTML pages are in $(BUILDDIR)/user_manual_html."


html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) .

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

## gtg 0.2.4

=== debian/changelog ===
gtg (0.2.4-4) unstable; urgency=low

  * debian/patches/x_is_running.patch:
    - Check if a display is available instead of relying on xset being
      installed and functional (Closes: #595430).
  * debian/patches/locale.patch:
    - Use bindtextdomain to simplify locale handling (Closes: #595436, #595440).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 Sep 2010 15:03:35 +0200

gtg (0.2.4-3) unstable; urgency=low

  * debian/patches/xml_temp_file.patch:
    - Use temp files to temporarily store GTG status, to avoid
      generating empty XML files (Closes: #590043).
  * debian/control:
    - Bump Standards-Version to 3.9.1, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 11 Aug 2010 09:08:39 +0200

gtg (0.2.4-2) unstable; urgency=low

  * debian/patches/test_executable.patch:
    - Do not launch program to see if it is available, check if it is
      installed and has executable bit enabled instead.
  * debian/patches/reaper_hang.patch:
    - Do not hang on quit due to "completed tasks remover" plugin.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 24 Jun 2010 20:22:12 +0200

gtg (0.2.4-1) unstable; urgency=low

  * New upstream bugfix release.
    - Restore export_templates directory (Closes: #574454).
    - Provide Serbian localization support (LP: #459610).
    - Restore hello_world plugin glade file (LP: #530256).
    - Export plugin doesn't hang if no templates are found (LP: #531909).
    - Fix variable reference in taskbrowser (LP: #544233).
    - Fix "Schedule for" feature (LP: #522470, #549539).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Apr 2010 13:48:37 +0200

gtg (0.2.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/patches/py2.5_compat.patch:
    - Removed, fixed upstream.
  * debian/control:
    - Add Bryce Harrington and Luca Invernizzi to Uploaders.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 02 Mar 2010 21:18:46 +0100

gtg (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/py2.5_compat.patch:
    - Refresh with new compatibility fixes.
  * debian/copyright:
    - Add new copyright holders and adjust copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 01 Mar 2010 21:02:06 +0100

gtg (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/distutils_missing_files.patch:
    - Removed, fixed upstream.
  * debian/patches/py2.5_compat.patch:
    - with is a reserved word in Python 2.6, import with_statement to
      handle it correctly and avoid issues during byte-compilation.
  * debian/control:
    - Bump Standard-Version to 3.8.4, no changes needed.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 01 Feb 2010 20:21:38 +0100

gtg (0.2-2) unstable; urgency=low

  * debian/patches/distutils_missing_files.patch:
    - Add missing files to setup.py.
  * Switch to format 3.0 (quilt).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 06 Jan 2010 15:20:15 +0100

gtg (0.2-1) unstable; urgency=low

  * New upstream release.
    - xdg module is no longer required at build time (Closes: #560566).
  * Remove unneeded build-dependencies.
  * Add python-dbus to Depends.
  * Bump dependency on python-gtk2 to be at least 2.14 (Closes: #559498).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 12 Dec 2009 16:04:44 +0100

gtg (0.1.9-1) unstable; urgency=low

  * New upstream beta release.
    - Update translation templates (Closes: #542939).
    - Make some GTK icons translatable (LP: #398904).
    - Fix grammar error (LP: #403168).
  * Update my e-mail address.
  * Bump Standards-Version to 3.8.3, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 02 Dec 2009 23:52:41 +0100

gtg (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Install binary and module in a private directory.
  * Bump Standards-Version to 3.8.2, no changes required.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 09 Jul 2009 00:20:03 +0200

gtg (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #520609).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 03 Apr 2009 21:48:06 +0200

=== debian/control ===
Source: gtg
Section: gnome
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>, Bryce Harrington <bryce@canonical.com>, Luca Invernizzi <invernizzi.l@gmail.com>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: python-support, python (>= 2.5)
Standards-Version: 3.9.1
Homepage: http://gtg.fritalk.com/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/gtg/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/gtg/trunk/

Package: gtg
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2 (>= 2.14), python-gnome2, python-glade2, python-dbus, python-xdg, python-configobj
Description: organizer for the GNOME desktop environment
 Getting Things GNOME! is an organizer for the GNOME desktop environment.
 GTG focuses on usability and ease of use. Its main objective is to
 provide a simple and yet flexible organization tool for life and work.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

clean:
	dh $@
	rm -fr build

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/usr/share/gtg --install-lib=/usr/share/gtg

=== debian/watch ===
version=3
https://launchpad.net/gtg/+download http://launchpad.net/gtg/.*/gtg-([0-9\.]*)\.tar\.gz

## gtg 0.2.9

=== debian/changelog ===
gtg (0.2.9-1) unstable; urgency=low

  * New upstream release (Closes: #668096).
    - Implement a search text box (Closes: #650279).
    - Window title reflects active tasks (LP: #537096).
    - Fix misbehaviours of the indicator applet (LP: #548836, #676353).
    - Fix crash when selecting notification area plugin twice (LP: #550321).
    - Fix sorting of tasks by date (LP: #556159).
    - Fix excessive delays at startup (LP: #558600).
    - Fix crash with dates having unknown values (LP: #561449).
    - Fix crash issued when pressing delete key (LP: #583103).
    - Keep notification plugin enabled after logoff (LP: #617257).
    - Fix Hamster plugin to work with recent Hamster versions (LP: #620313).
    - No longer use non-unicode strings (LP: #680632).
    - New RTM sync mechanism (LP: #753327).
    - Fix crashes while handling XML storage file (LP: #916474, #917634).
  * debian/patches/*:
    - Drop all patches, they have been merged upstream.
  * debian/patches/shebang.patch:
    - Fix shebang line.
  * debian/patches/manpages.patch:
    - Fix some groff warnings in gtg_new_task man page
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Bump X-Python-Version to >= 2.6.
    - Add python-liblarch and python-liblarch-gtk to Depends field.
    - Add python-cheetah, python-geoclue, python-gnomekeyring,
      python-launchpadlib and python-suds to Suggests field.
    - Bump Standards-Version to 3.9.3.
  * debian/copyright:
    - Refresh copyright information.
    - Format now points to copyright-format site.
  * debian/rules:
    - Make gtcli_bash_completion script executable.
  * debian/watch:
    - Update watch file.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 10 Apr 2012 23:08:21 +0200

gtg (0.2.4-6) unstable; urgency=low

  * debian/patches/*.patch:
    - Use DEP3 headers in patches.
  * debian/patches/select_right_clicked_tasks.patch:
    - Change selection when right-clicking on a different task,
      patch cherry-picked by Jérôme Guelfucci (Closes: #624225).
  * debian/control:
    - Add python-simplejson to Recommends (Closes: #585629).
    - Bump Standards-Version to 3.9.2.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 11 Aug 2011 21:20:24 +0200

gtg (0.2.4-5) unstable; urgency=low

  * Switch to dh_python2.
  * debian/patches/gnome2.patch:
    - Drop obsolete python-gnome2 methods.
  * debian/control:
    - Depend on python-simplejson | python (>= 2.6).
    - Drop python-gnome2 dependency (Closes: #611097).
  * debian/copyright:
    - Update copyright years.
  * debian/rules:
    - Delete unused .egg-info file.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 Feb 2011 18:53:44 +0100

=== debian/control ===
Source: gtg
Section: gnome
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9~)
Build-Depends-Indep: python (>= 2.6.6-3~)
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
Homepage: http://gtg.fritalk.com/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/gtg/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/gtg/trunk/

Package: gtg
Architecture: all
Depends: ${python:Depends},
 ${misc:Depends},
 python-gtk2 (>= 2.14),
 python-glade2,
 python-dbus,
 python-xdg,
 python-configobj,
 python-liblarch,
 python-liblarch-gtk
Recommends: python-simplejson
Suggests: python-cheetah,
 python-geoclue,
 python-gnomekeyring,
 python-launchpadlib,
 python-suds
Description: organizer for the GNOME desktop environment
 Getting Things GNOME! is an organizer for the GNOME desktop environment.
 GTG focuses on usability and ease of use. Its main objective is to
 provide a simple and yet flexible organization tool for life and work.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

clean:
	dh $@ --with python2
	rm -fr build

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/usr/share/gtg --install-lib=/usr/share/gtg
	find debian/gtg -name "*.egg-info" -delete

override_dh_fixperms:
	chmod +x $(CURDIR)/debian/gtg/usr/share/gtg/gtcli_bash_completion
	dh_fixperms

## gtg 0.3

=== debian/changelog ===
gtg (0.3-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - Use canonical URIs for VCS fields
  * debian/install:
    - Install bash-completion script.
  * debian/links:
    - gtcli link must point to gtcli, not gtg.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 May 2013 14:23:30 +0200

gtg (0.3-1) experimental; urgency=low

  * New upstream release.
    - Fix crash with liblarch module (Closes: #669872).
  * Remove all Debian patches, applied upstream.
  * debian/control:
    - Depend on python-liblarch (>= 2.1.0).
    - Drop python-liblarch-gtk dependency.
    - Add yelp to Recommends field.
    - Add plugin dependencies to Suggests field, also including
      librsvg2-common for Tomboy/Gnote (Closes: #674613).
    - Bump Standards-Version to 3.9.4, no changes required.
  * debian/copyright:
    - Refresh copyright information.
  * debian/links:
    - Provide gtcli symlink.
  * debian/rules:
    - Set executable bit to script_pocketmod.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Nov 2012 10:44:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9~)
 Build-Depends-Indep: python (>= 2.6.6-3~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
 Homepage: http://gtg.fritalk.com/
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/gtg/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/gtg/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/gtg/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewsvn/python-apps/packages/gtg/trunk/
 
 Package: gtg
 Architecture: all
@@ -20,10 +20,15 @@
  python-dbus,
  python-xdg,
  python-configobj,
- python-liblarch,
- python-liblarch-gtk
-Recommends: python-simplejson
-Suggests: python-cheetah,
+ python-liblarch (>= 2.1.0)
+Recommends: python-simplejson,
+ yelp
+Suggests: bugz,
+ python-appindicator,
+ python-cairo,
+ python-cheetah,
+ python-dateutil,
+ python-evolution,
  python-geoclue,
  python-gnomekeyring,
  python-launchpadlib,

## gtg 0.3.1

=== debian/changelog ===
gtg (0.3.1-4) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8.
  * debian/control:
      - Added python-notify to Depends field (Closes: #834449).
      - Reorganized Depends field.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 15 Aug 2016 18:43:00 -0300

gtg (0.3.1-3) unstable; urgency=medium

  * debian/menu: Removed to compliant with CTTE #741573.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 30 Nov 2015 20:23:00 -0200

gtg (0.3.1-2) unstable; urgency=medium

  * New Maintainer (Closes: #755296). Thanks for Luca Falavigna for your work.
  * Bumped Standards-Version to 3.9.6.
  * debian/control:
      - Included dh-python, rdfind and symlinks as build dependency.
      - Updated Homepage: field (Closes: #751072).
  * debian/copyright:
      - Corrected name of files with separated copyrights.
      - Updated years of old maintainer copyright.
  * debian/install:
      - Put bash-completion script to right place.
  * debian/lintian-overrides: added to override a false positive.
  * debian/rules:
      - Moved icon items-tag.png to right place and removed empty directory.
      - Using rdfind and symlinks to remove duplicated files.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 03 Sep 2015 14:11:00 -0300

gtg (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/dates.patch:
    - Keep fuzzy dates relative to today, thanks to Frédéric Brière for
      the bug report and the patch! (Closes: #722080).
  * debian/patches/keyworks.patch:
    - Implement Keyword key in the .desktop file.
  * debian/patches/manpages.patch:
    - Fix spelling errors in the man pages.
  * debian/control:
    - Bump Standards-Version to 3.9.5, no changes required.
  * debian/copyright:
    - Refresh copyright information.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 12 Dec 2013 12:29:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gtg
 Section: gnome
 Priority: optional
-Maintainer: Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9~)
+Build-Depends: debhelper (>= 9), dh-python, rdfind, symlinks
 Build-Depends-Indep: python (>= 2.6.6-3~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
-Homepage: http://gtg.fritalk.com/
+Homepage: http://gtgnome.net/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/gtg/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewsvn/python-apps/packages/gtg/trunk/
 
@@ -15,12 +15,13 @@
 Architecture: all
 Depends: ${python:Depends},
  ${misc:Depends},
+ python-configobj,
+ python-dbus,
+ python-glade2,
  python-gtk2 (>= 2.14),
- python-glade2,
- python-dbus,
- python-xdg,
- python-configobj,
- python-liblarch (>= 2.1.0)
+ python-liblarch (>= 2.1.0),
+ python-notify,
+ python-xdg
 Recommends: python-simplejson,
  yelp
 Suggests: bugz,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

clean:
	dh $@ --with python2
	rm -fr build

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/usr/share/gtg --install-lib=/usr/share/gtg
	find debian/gtg -name "*.egg-info" -delete
	mv debian/gtg/usr/share/icons/hicolor/22x22/categories/items-tags.png debian/gtg/usr/share/icons/hicolor/16x16/categories/
	rmdir debian/gtg/usr/share/icons/hicolor/22x22/categories
	rm -rf debian/gtg/usr/share/locale/jbo

# Replace duplicate files with symlinks
	rdfind -outputname /dev/null -makesymlinks true debian/gtg/
# Fix those symlinks to make them relative
	symlinks -r -s -c debian/gtg/

override_dh_fixperms:
	chmod +x $(CURDIR)/debian/gtg/usr/share/gtg/GTG/plugins/export/export_templates/script_pocketmod
	dh_fixperms

=== debian/watch ===
version=3
https://launchpad.net/gtg/+download .*/gtg-([0-9\.]+).tar.gz

## gtg 0.6

=== debian/changelog ===
gtg (0.6-7) unstable; urgency=medium

  * Revert patch switching from imp to importlib; use zombie-imp instead
    (Closes: #1065091)

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 29 Feb 2024 20:59:07 -0300

gtg (0.6-6) unstable; urgency=medium

  * Team upload.
  * Replace deprecated module imp by importlib
    Closes: #1061801
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2024 09:29:42 +0100

gtg (0.6-5) unstable; urgency=medium

  * Work around crash when font_name not defined in config file
    (Closes: #1050462)
  * Update d/copyright

 -- Francois Mazen <francois@mzf.fr>  Mon, 04 Sep 2023 18:16:38 +0200

gtg (0.6-4) unstable; urgency=medium

  * Team upload
  * Set python install layout 'deb' (Closes: #1041334)

 -- Bastian Germann <bage@debian.org>  Tue, 18 Jul 2023 00:41:38 +0200

gtg (0.6-3) unstable; urgency=medium

  * Depend on current pdftk-java

 -- Bastian Germann <bage@debian.org>  Mon, 17 Jul 2023 13:59:02 +0200

gtg (0.6-2) unstable; urgency=medium

  * Team Upload.
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 12 Jan 2023 00:39:08 +0530

gtg (0.6-1) unstable; urgency=medium

  * Package reintroduction (Closes: #1014195)
    + Upstream is now active with new releases available.

  [ Luca Falavigna ]
  * debian/control:
    - Adjust Homepage field to match the new location (Closes: #751072).

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Francois Mazen ]
  * d/watch: Update to upstream repository
  * New upstream version (Closes: #970426):
      - No more python2 dependency (Closes: #938945)
      - No more pygtk dependency (Closes: #885300)
      - New project homepage (Closes: #928279)
      - GTK3 port (Closes: #612636)
      - libsecret port (Closes: #844157)
  * Bump standards version to 4.6.1.0
  * Set Rules-Requires-Root to no
  * Set debhelper-compat to 13
  * Fix man page syntax for bullet lists
  * Remove obsolete patches
  * Change maintainer to python team
  * Set script in /usr/bin executable
  * Remove obsolete lintian override
  * Add upstream metadata
  * Add autopkgtests

  [ Nilesh Patra ]
  * Fix permissions in dh_fixperms rule instead
  * Respect nocheck profile for tests
  * Add patch to exit with status code of pytest execution, i.e.
    hardfail when build-time tests fail, instead of ignoring the result
  * export HOME before running tests to fix build in sbuild/pbuilder
  * Also install AUTHORS file

 -- Francois Mazen <francois@mzf.fr>  Mon, 09 Jan 2023 22:53:11 +0530

=== debian/control ===
Source: gtg
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Francois Mazen <mzf@debian.org>
Section: gnome
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               meson,
               gir1.2-gdk-3.0 <!nocheck>,
               gir1.2-gtksource-4 <!nocheck>,
               pycodestyle <!nocheck>,
               pyflakes3 <!nocheck>,
               python3-caldav <!nocheck>,
               python3-cairo <!nocheck>,
               python3-gi <!nocheck>,
               python3-liblarch <!nocheck>,
               python3-lxml <!nocheck>,
               python3-mock <!nocheck>,
               python3-pycodestyle <!nocheck>,
               python3-pytest <!nocheck>,
               python3-zombie-imp <!nocheck>,
               gettext,
               itstool
Build-Depends-Indep: python3
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/gtg
Vcs-Git: https://salsa.debian.org/python-team/packages/gtg.git
Homepage: https://wiki.gnome.org/Apps/GTG
Rules-Requires-Root: no

Package: gtg
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         gir1.2-gdk-3.0,
         gir1.2-gtksource-4,
         gir1.2-pango-1.0,
         gir1.2-secret-1,
         pdftk-java,
         python3-caldav,
         python3-cheetah,
         python3-gi,
         python3-gi-cairo,
         python3-liblarch,
         python3-lxml,
         python3-zombie-imp,
         texlive-extra-utils,
         texlive-latex-base
Description: organizer for the GNOME desktop environment
 Getting Things GNOME! (GTG) is a personal tasks and TODO-list items
 organizer for the GNOME desktop environment and inspired by the
 "Getting Things Done" (GTD) methodology.
 .
 GTG is designed with flexibility, adaptability, and ease of use in
 mind, so its user interface and workflow can be used as more than
 just "GTD" software. GTG is intended to help you track everything
 you need to do and need to know, from small tasks to large projects.
 .
 It features flexible tagging system, natural language parsing, task
 dependencies and an "actionable" task view mode so that you can focus
 on what you can act on "right now".

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_PYTHON_INSTALL_LAYOUT = deb

%:
	dh $@ --buildsystem=meson

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	mkdir -p debian/build
	export HOME=$(CURDIR)/debian/build && ./run-tests
	rm -rf debian/build
endif

PNG_FILES = thumbnail_pocketmod.png thumbnail_sexy.png thumbnail_simple.png thumbnail_statusrpt.png thumbnail_textual.png
execute_after_dh_auto_install:
	# Move script_pocketmod to /usr/bin and create a symbolic link in the export plugin template folder.
	mv $(CURDIR)/debian/gtg/usr/lib/python3/dist-packages/GTG/plugins/export/export_templates/script_pocketmod $(CURDIR)/debian/gtg/usr/bin/gtg_script_pocketmod
	ln -s /usr/bin/gtg_script_pocketmod $(CURDIR)/debian/gtg/usr/lib/python3/dist-packages/GTG/plugins/export/export_templates/script_pocketmod

	# Move png files to /usr/share/gtg and create symbolic links
	mkdir -p $(CURDIR)/debian/gtg/usr/share/gtg/export_templates
	for f in $(PNG_FILES); do \
		echo $$f; \
		mv $(CURDIR)/debian/gtg/usr/lib/python3/dist-packages/GTG/plugins/export/export_templates/$$f $(CURDIR)/debian/gtg/usr/share/gtg/export_templates/ ; \
		ln -s /usr/share/gtg/export_templates/$$f $(CURDIR)/debian/gtg/usr/lib/python3/dist-packages/GTG/plugins/export/export_templates/$$f ; \
	done

override_dh_fixperms:
	dh_fixperms
	find debian/ -type f -name networkmanager.py -exec chmod -x '{}' \;

=== debian/tests/control ===
Tests: smoke
Depends: gtg, gir1.2-secret-1
Restrictions: superficial

Test-Command: xvfb-run debian/tests/check-graphical-app
Depends: gtg, gir1.2-secret-1, python3-dogtail, xvfb, xauth, gdm3, dbus, dbus-x11, at-spi2-core
Restrictions: allow-stderr
